Subject: bug#71332: guix gc delete order

From: Andrew Tropin <[email-masked]>
Date: Mon, 03 Jun 2024 19:22:42 +0400

On 2024-06-03 15:26, Nicolas Graves via Bug reports for GNU Guix wrote:

> On 2024-06-03 09:30, Guillaume Le Vaillant wrote:
>
>> Hi.
>> Is the guix-daemon of your system started with the
>> "--gc-keep-derivations=yes" and "--gc-keep-outputs=yes" options?
>> It should prevent "guix gc" from deleting the build dependencies of live
>> profiles.

Didn't know about those options, thank you for sharing!

>
> Probably not if they have to be added through the extra-options field of
> <guix-configuration> record. I'll try that, thanks! 

I was suffering from the issue you have.  After I updated SSD I just
don't do gc, but it would be a good fix for the problem, if it works.

-- 
Best regards,
Andrew Tropin